Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## de.cardcontact.opencard.terminal.smartcardio
Class SmartCardIOFactory

    java.lang.Object
      de.cardcontact.opencard.terminal.smartcardio.SmartCardIOFactory

All Implemented Interfaces:
  CardTerminalFactory

    public class SmartCardIOFactory

extends java.lang.Object
implements CardTerminalFactory

Factory that creates a CardTerminal object for each card reader listed via the javax.smartcardio interface.

Field Summary

Fields inherited from interface opencard.core.terminal.CardTerminalFactory
`TERMINAL_ADDRESS_ENTRY, TERMINAL_NAME_ENTRY, TERMINAL_TYPE_ENTRY`

Constructor Summary
`SmartCardIOFactory()`

Method Summary
`void` | `close()` deinitialize the CardTerminalFactory
`void` | `createCardTerminals(CardTerminalRegistry ctr, java.lang.String[] terminalInfo)` Creates an instance for each card listed.
`void` | `open()` initialize the CardTerminalFactory

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SmartCardIOFactory

    public SmartCardIOFactory()

Method Detail

### close

    public void close()
               throws CardTerminalException

  Description copied from interface: `CardTerminalFactory`
  deinitialize the CardTerminalFactory

  Specified by:
    `close` in interface `CardTerminalFactory`
  Throws:
    `CardTerminalException` - thrown when error occurred while close deinitializes the factory.

### createCardTerminals

    public void createCardTerminals(CardTerminalRegistry ctr,
                                    java.lang.String[] terminalInfo)
                             throws CardTerminalException,
                                    TerminalInitException

  Creates an instance for each card listed.

  Specified by:
    `createCardTerminals` in interface `CardTerminalFactory`
  Parameters:
    `ctr` - the CardTerminalRegistry for registration-process
    `terminalInfo` - the parameter array for the terminal. {TerminalName, TerminalType, factory-specific count of parameters....}.
  Throws:
    `CardTerminalException` - thrown when CardTerminal error occured
    `TerminalInitException` - thrown when terminalInfo is incorrect or factory not able to support requested terminal type.

### open

    public void open()
              throws CardTerminalException

  Description copied from interface: `CardTerminalFactory`
  initialize the CardTerminalFactory

  Specified by:
    `open` in interface `CardTerminalFactory`
  Throws:
    `CardTerminalException` - thrown when error occurred while `open` initializes the factory.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD